Buddy Press Compatibility with Wordpress 3.4 v. 3.5

How do I remove Buddypress from my site without destroying the entire thing?